Skip to main content
GET
/
2
/
pm
/
market
/
trades
Get Prediction Market Trades
curl --request GET \
  --url https://pm-api-prod-eu.mobula.io/api/2/pm/market/trades
{
  "data": [
    {}
  ]
}
Alpha — This endpoint is part of the Prediction Markets API, currently in early access. May change without notice.

Query Parameters

platform
enum<string>
required

Prediction market platform. Today only polymarket is supported; any other value returns 400.

Available options:
polymarket
Example:

"polymarket"

marketId
string

CTF conditionId (required if outcomeId is not provided).

outcomeId
string

Outcome token id (required if marketId is not provided).

from
integer<int64>

Start time in Unix milliseconds.

Required range: x >= 0
to
integer<int64>

End time in Unix milliseconds.

Required range: x >= 0
minAmountUSD
number
default:0

Minimum trade size in USD.

Required range: x >= 0
limit
integer
default:50

Page size (1-500).

Required range: 1 <= x <= 500
cursor
string

Opaque cursor returned by the previous page (pagination.nextCursor).

Response

200 - application/json

Trades list

data
object[]